Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CEC_Reactive_ConsumerControl.h File Reference

`#include "CEC_ConsumerControl.h"`
`#include "orbsvcs/ESF/ESF_Worker.h"`
`#include "tao/ORB.h"`
`#include "ace/Event_Handler.h"`

Include dependency graph for CEC_Reactive_ConsumerControl.h:

This graph shows which files directly or indirectly include this file:

## Compounds

class | TAO_CEC_ConsumerControl_Adapter
| Forwards timeout events to the Reactive ConsumerControl. More...
class | TAO_CEC_Ping_Pull_Consumer
class | TAO_CEC_Ping_Push_Consumer
class | TAO_CEC_Reactive_ConsumerControl
| ConsumerControl. More...

## Detailed Description

Id:
  CEC_Reactive_ConsumerControl.h,v 1.16 2003/10/28 18:34:18 bala Exp

Author:
  Carlos O'Ryan (coryan@cs.wustl.edu)

More details can be found in:

http://doc.ece.uci.edu/~coryan/EC/